Upload a file
curl --request POST \
--url https://api.hera.video/v1/files \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form file='@example-file'import requests
url = "https://api.hera.video/v1/files"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
options.body = form;
fetch('https://api.hera.video/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://your-supabase-url.supabase.co/storage/v1/object/public/images/api-uploads/abc123.png"
}{
"error": "Unsupported file type: text/plain"
}Files
Upload a file
Upload a file (image, video, audio, font, or CSV) to be used when creating videos. The returned URL can be used in POST /videos.
POST
/
files
Upload a file
Authorizations
Your API key for authenticating requests.
Body
multipart/form-data
The file to upload. Supported types: images (PNG, JPEG, GIF, SVG, WebP, BMP), videos (MP4, MPEG, WebM, MOV, AVI, FLV, MPG, WMV, 3GP), audio (MP3, WAV, AAC), fonts (TTF, OTF, EOT, WOFF, WOFF2), Lottie (JSON), and CSV. Max size: 10 MB.
Response
File uploaded successfully. Returns the public URL of the stored file.
Response after successfully uploading a file.
Public URL of the uploaded file. Use this URL in POST /videos fields that accept a URL.
Example:
"https://your-supabase-url.supabase.co/storage/v1/object/public/images/api-uploads/abc123.png"
⌘I